import os
import sys


def convertFile(fullPath):
  print 'doing: epstopdf ' + fullPath
  os.system('epstopdf ' + fullPath)


def recursiveFileVisitor(currentDirectory):
  """ 
  Visits every file in currentDirectory and all it's subdirectories 
  Every '.eps' file is sent to convertFile()
  """
  for pathName in os.listdir(currentDirectory):
    fullPath = os.path.join(currentDirectory, pathName)
  
    if(os.path.isdir(fullPath)):
      recursiveFileVisitor(fullPath)      
    elif(os.path.isfile(fullPath)):
      if(fullPath[-4:] == '.eps'):
        convertFile(fullPath)



# Script starts here
recursiveFileVisitor(os.getcwd())

    
